Menci Software

StereoTools

Updated to ver. 1.4.2

Menci Software - StereoTools - Copyright © 2014

WebSite: http://www.menci.com - E-Mail: info@menci.com


What is StereoTools

StereoTools is a user-friendly digital photogrammetric stereo workstation and allows 3D feature collection.

StereoTools can directly use DTM and bundle orientations produced by APS or other software packages.
Stereo mode navigation is continue. The user can roam seamlessly throughout an entire project of any size.

Anagliphic view, Monoscopic view and professional stereo active view are available.

Vector data collected by StereoTool, or imported from GIS or CAD systems, are superimposed directly onto the stereo models,
making it an excellent solution for mapping, change detection and updating GIS data.


Main features

  • Unlimited number of image elaborated
  • Automatic project generation from APS
  • Import/Export of DWG and DXF
  • CAD editor with main functionalities
  • Monoscopic and stereoscopic view (active and passive)
  • Trackball handling
  • Planimetric or plano-altimetric Osnap
  • Manual DTM generation
  • Import control points from ASCII file
  • Build of image internal orientations
  • Import of external orientations from ASCII file

    StereoTools requirements

                            • Operating system: Windows XP / Vista / Seven

A temporary evaluation license is available to test StereoTools with your datasets.


GUI

Main window

When the software starts following workspace will be shown.

You can press "New" or "Open" an existing project.

StereoTools supports only one document opened at time.

At the bottom there is an interactive "Command line window", where CAD status and information messages are displayed and user can access to CAD shortcuts.

On the left there are the "Flight plan pane" and the entity's properties window

On the right there is the "shortcut pane" (if visible)


Toolbars

MAIN TOOLBAR

This is the main toolbar

Through this bar you can open and create a new project, save, import and export CAD files and get information on StereoTools.

Here there are some buttons to toggle view of workspace windows (Flight plan, command line, etc).

TIP: please fill the "User Data" form with your data: it will be usefull to identify reports you send to Menci Software if some problem occurs.

If you are evaluating StereoTools, you can send your feedback to Menci Software writing to support.tools@menci.com.

STEREO TOOLBAR

The Stereo Toolbar includes command to handle the stereo view.

The "Enabled" button toggle the stereo view active or disabled, after "visit point" operation.

"Visit point by CAD" section allows you to activate the Stereo, anaglyphic or mono view by clicking on a drawing entity.

Stereo active view needs your videocard is correctly enabled .

The elevation section includes the buttons to toggle on/off image epipolar resampling, trackball and its Z speed accuracy.

It is possible to set and then lock the Z cursor to a given elevation.

The CAD view can be zoomed in and out by the mouse wheel or buttons. To place the view on 1:1 scale you can use the "One" button.

FORMAT TOOLBAR

In the Format toolbar there are some CAD element's style buttons. You can edit and define layer's properties and order. The keyboard command lists the keyboard shortcuts and "Cursor" buttons change the mouse pointer properties when the stereo mode is enabled.

TOOLS TOOLBAR

In the Tools bar shows following CAD commands:

Undo/Redo

- Here you can undo or redo last CAD drawing/editing operation.

Draw

- Draw a Point

- Draw a Line

- Draw a Polyline

- Draw a Spline

- Draw a rect by 3 points

- Draw a circle by 3 points

- Insert a Text

Editing

- Call current entity Properties

- Erase selected entities

- Copy selected entities

- Copy entity properties

- Move selected entities

- Rotate selected entities

- Scale selected entities

- Mirror selected entities

- Extend current line up to entity

- Trim current line

- Join two line or polyline

- Create an offset entity

- Explode current selection

- Break an entity

- Add a vertex to a polyline

Measure

- Evaluation of linear distance and areas

Moreover there is the Manual DTM command function.

OSNAP TOOLBAR

In the OSnap toolbar you can select the CAD osnap active on the drawing.

If Elevation OSnap is active the cursor will be snapped to current entity's Z elevation.

Entity UCS's elevation is used otherwise.

ORIENTATIONS TOOLBAR

Here you can find tools to build and import internal and external orientations not generated by APS (for example Pix4D).

GCP TOOLBAR

With StereoTools you can import and check Ground Control Points


Flight Plan

Flight Plan window

On the left side of workspace you can find the Flight Plan window.

It is the "project overview", that includes stereo commands and data management shortcuts.

Here you can see the imported image overview, overlapped with camera positions, foot prints and DTM.

You can manage the data inside workspace through the top toolbar.

From left to right you can find:

  • toggle enable/disable the stereo view;
  • visit point Stereo (by clicking on Flight Plan);
  • visit point anaglyphic (by clicking on Flight Plan);
  • visit point monoscopic (by clicking on Flight Plan);
  • toggle view of Foot Prints;
  • toggle view of Camera Positions;
  • toggle view of Image Names;
  • toggle view of Raster Overview;
  • toggle view of DTM;

"Visiting a point" you open the related stereo mode on the clicked point.

At bottom there is another bar used to handle project data.

  • add images to project;
  • add images by folder;
  • scale images using the GSD value;
  • add raster overview;
  • remove current raster overview;
  • add DTM;
  • remove current DTM


Command Line

StereoTools accepts keyboard input related to some CAD command. Shortcuts can be typed in the command line window.

COMMAND SHORTCUT

Shortcut = "ZE"

Shortcut = "ZI"

Shortcut = "ZO"

Shortcut = "ZP"

Shortcut = "ZW"

Shortcut = "ZR"

Shortcut = "ZS"

Shortcut = "PAR"

Shortcut = "P"

Shortcut = "PLE"

Shortcut = "PRI"

Shortcut = "PUP"

Shortcut = "PDO"

Shortcut = "PGN"

Shortcut = "PGP"

Shortcut = "PGF"

Shortcut = "PGL"

Shortcut = "PGS"

Shortcut = "PO"

Shortcut = "L"

Shortcut = "R"

Shortcut = "XL"

Shortcut = "ML"

Shortcut = "PL"

Shortcut = "POL"

Shortcut = "EL"

Shortcut = "R2"

Shortcut = "C"

Shortcut = "A"

Shortcut = "ASCE"

Shortcut = "ASCA"

Shortcut = "ASCL"

Shortcut = "ASEA"

Shortcut = "ASED"

Shortcut = "ASER"

Shortcut = "ACSE"

Shortcut = "ACSA"

Shortcut = "ACSL"

Shortcut = "ACON"

Shortcut = "SPL"

Shortcut = "T"

Shortcut = "HA"

Shortcut = "I"

Shortcut = "B"

Shortcut = "DL"

Shortcut = "DAL"

Shortcut = "DO"

Shortcut = "DR"

Shortcut = "DD"

Shortcut = "DA"

Shortcut = "U"

Shortcut = "RD"

Shortcut = "CBC"

Shortcut = "CBCP"

Shortcut = "CBP"

Shortcut = "EPR"

Shortcut = "E"

Shortcut = "CO"

Shortcut = "M"

Shortcut = "RO"

Shortcut = "SC"

Shortcut = "MI"

Shortcut = "X"

Shortcut = "J"

Shortcut = "TR"

Shortcut = "XT"

Shortcut = "OFF"

Shortcut = "SNPO"

Shortcut = "SNEP"

Shortcut = "SNMP"

Shortcut = "SNC"

Shortcut = "SNN"

Shortcut = "SNI"

Shortcut = "SNP"

Shortcut = "SNT"

Shortcut = "SNG"

Shortcut = "SNNN"

Shortcut = "SND"

Shortcut = "SHG"

Shortcut = "SNGR"

Shortcut = "OSON"

Shortcut = "DG"

Shortcut = "PD"

Shortcut = "PON"

Shortcut = "SLP"

Shortcut = "SLR"

Shortcut = "SLPG"

Shortcut = "SLPL"

Shortcut = "SLD"

Shortcut = "SLI"

Shortcut = "SLL"

Shortcut = "SLT"

Shortcut = "SLK"

Shortcut = "LA"

Shortcut = "LAO"

Shortcut = "COL"

Shortcut = "LT"

Shortcut = "LW"

Shortcut = "TS"

Shortcut = "DS"

Shortcut = "PS"

Shortcut = "MLS"

Shortcut = "PG"

Shortcut = "PR"

Shortcut = "PRND"

Shortcut = "PRPR"

Shortcut = "PRPE"

Shortcut = "RST"

Shortcut = "RE"

Shortcut = "RPT"

Shortcut = "SFC"

Shortcut = "SV"

Shortcut = "H"

Shortcut = "F"

Shortcut = "RSTZ"

Shortcut = "O"

Shortcut = "DI"

Shortcut = "AA"

Shortcut = "DWGI"

Shortcut = "DRA"

Shortcut = "CV"

Shortcut = "AI"

Shortcut = "CU"

Shortcut = "PP"

Shortcut = "PR"

Shortcut = "PPO"

Shortcut = "ALM"

Shortcut = "ASL"

Shortcut = "ASQ"

Shortcut = "CE"

Shortcut = "EAV"

Shortcut = "SL"

Shortcut = "SQ"

Shortcut = "EP"

Shortcut = "AV"

Shortcut = "R3"

Shortcut = "CPL"

Shortcut = "BR"

Shortcut = "IW"

Shortcut = "ANG"

Shortcut = "GVP"

Shortcut = "MVP"

Shortcut = "PLC"

Shortcut = "MP"

Shortcut = "FI"

Shortcut = "S"

Shortcut = "DIV"

Shortcut = "RES"

Shortcut = "AL"

COMMAND EXTENDED NAME

Long String = "ZOOME"

Long String = "ZOOMI"

Long String = "ZOOMO"

Long String = "ZOOMP"

Long String = "ZOOMW"

Long String = "ZOOMRT"

Long String = "ZOOMSEL"

Long String = "PANRT"

Long String = "PAN"

Long String = "PANLE"

Long String = "PANRI"

Long String = "PANUP"

Long String = "PANDO"

Long String = "PAGENX"

Long String = "PAGEPR"

Long String = "PAGEFI"

Long String = "PAGELS"

Long String = "PAGESEL"

Long String = "POINT"

Long String = "LINE"

Long String = "RAY"

Long String = "XLINE"

Long String = "MLINE"

Long String = "PLINE"

Long String = "POLYGON"

Long String = "ELLIPSE"

Long String = "RECT2P"

Long String = "CIRCLE"

Long String = "ARC"

Long String = "ARCSCE"

Long String = "ARCSCA"

Long String = "ARCSCL"

Long String = "ARCSEA"

Long String = "ARCSED"

Long String = "ARCSER"

Long String = "ARCCSE"

Long String = "ARCCSA"

Long String = "ARCCSL"

Long String = "ARCCONT"

Long String = "SPLINE"

Long String = "TEXT"

Long String = "HATCH"

Long String = "INSERT"

Long String = "BLOCK"

Long String = "DIMLIN"

Long String = "DIMALI"

Long String = "DIMORD"

Long String = "DIMRAD"

Long String = "DIMDIAM"

Long String = "DIMANG"

Long String = "UNDO"

Long String = "REDO"

Long String = "CBCUT"

Long String = "CBCOPY"

Long String = "CBPASTE"

Long String = "ENTPROP"

Long String = "ERASE"

Long String = "COPY"

Long String = "MOVE"

Long String = "ROTATE"

Long String = "SCALE"

Long String = "MIRROR"

Long String = "EXPLODE"

Long String = "JOIN"

Long String = "TRIM"

Long String = "EXTEND"

Long String = "OFFSET"

Long String = "SNAPPO"

Long String = "SNAPENDPO"

Long String = "SNAPMIDPO"

Long String = "SNAPCENT"

Long String = "SNAPNEAR"

Long String = "SNAPINTER"

Long String = "SNAPERP"

Long String = "SNAPTANG"

Long String = "SNAPGRIP"

Long String = "SNAPNONE"

Long String = "SNAPDLG"

Long String = "SHOWGRID"

Long String = "SNAPGRID"

Long String = "OSNAPON"

Long String = "GRIDDLG"

Long String = "POLARDLG"

Long String = "POLARON"

Long String = "SELPOINT"

Long String = "SELRECT"

Long String = "SELPOLYG"

Long String = "SELPOLYL"

Long String = "SELDIST"

Long String = "SELID"

Long String = "SELLAYER"

Long String = "SELTEXT"

Long String = "SELKEY"

Long String = "LAYER"

Long String = "LAYERORD"

Long String = "COLOR"

Long String = "LINETYPE"

Long String = "LWEIGHT"

Long String = "TEXTSTYLE"

Long String = "DIMSTYLE"

Long String = "POINTSTYLE"

Long String = "MLINESTYLE"

Long String = "PAGE"

Long String = "PRINT"

Long String = "PRINTNOD"

Long String = "PRINTPR"

Long String = "PRINTPREND"

Long String = "RESET"

Long String = "REGEN"

Long String = "REPEAT"

Long String = "SETFOCUS"

Long String = "SETVAR"

Long String = "HELP"

Long String = "F3"

Long String = "RASTERIZE"

Long String = "OPTIONS"

Long String = "DIST"

Long String = "AREA"

Long String = "DWGINFO"

Long String = "DRAIDS"

Long String = "CONVERT"

Long String = "AREAIP"

Long String = "CUSTOM"

Long String = "PICKP"

Long String = "PICKR"

Long String = "PICKPO"

Long String = "ALIGNMENT"

Long String = "AUTOSL"

Long String = "AUTOSQ"

Long String = "CENTROID"

Long String = "EAVES"

Long String = "SLOPE"

Long String = "SQUARING"

Long String = "ELEVP"

Long String = "ADDVERTICES"

Long String = "RECT3P"

Long String = "CLOSEPOLYLINES"

Long String = "BREAK"

Long String = "INVERTWAY"

Long String = "ANGLE"

Long String = "GLYPHVISITPOINT"

Long String = "MONOVISITPOINT"

Long String = "PLINEC"

Long String = "MATCHPROP"

Long String = "FILLET"

Long String = "STRETCH"

Long String = "DIVIDE"

Long String = "RESPOLY"

Long String = "ALIGN"


Stereo Setup

Stereo Active Setup

StereoTools supports active stereo glasses like NVidia 3D Vision that is combined with NVidia stereoscopic graphic cards.

In order to enable the Stereo visit point you need to setup your hardware.

Visit Menci Software website to see the suggested hardware setup.

Install latest video card driver version from NVidia website.

Then open NVidia Control Panel and enable the stereoscopic 3D option. If it is the first time you do this operation the Setup Wizard will be displayed.

Proceed with the wizard.

The next step is to enable the Stereo under 3D Settings (select the base 3D profile before)

Finally select the Display Mode as "Generic active stereo (with NVidia 3d vision)" profile and apply the changes.


Project Management

The Flight Plan is your entry point to manage the dataset.

A tipical dataset includes:

1) undistorted images (jpg or tif) [required]

2) internal orientation for each image (.int file) [required]

3) external orientation for each image (.est file) [required]

4) a raster overview

5) a gtif DEM

- add images selecting files or folders

Jpg and tif oriented and undistorted images can be selected.

- remove images by selecting their positions, names or foot prints and pressing "canc" key or right mouse button + erase

- when images are added to project, they are scaled by default using a 0.1 m GSD (or last used GSD).

You can set a different GSD value to view scaled images inside Flight Plan.

- add raster overview (or orthophoto) and remove it

- add DTM (or DSM) and remove it

OPEN STEREO MODE

By clicking the buttons on top bar you can open the stereo view mode you need in the CAD window.

There are three stereo mode supported: stereo active (graphic card and stereo glasses needed), anaglyphic (red-cyan glasses) and monoscopic (like in the example).

When the stereo is active, every entity you draw get the z elevation of its vertexes by current cursor elevation.

Then you can proceed to 3D drawing/editing entities.

The monoscopic mode doesn't require any dedicated hardware. You will see a splitted window with the current image couple.

To switch back to normal CAD view and close the stereo mode you can press those buttons in the bars


Trackball Handling

StereoTools supports Kensington Expert Mouse Trackball.

INSTALLATION

Once you installed the software

1) connect the trackball device. The trackball will ben recognized as mouse and the pointer will be moved by the sphere.

2) inside Start > Programs > Menci Software > StereoTools you will find two links:
- Trackball Install 32bit: related to 32 bit Microsoft Windows o.s. versions.
- Trackball Install 64bit: related to 64 bit Microsoft Windows o.s. versions.

Please launch the link related to your Windows version as system Administrator.

A DOS command window will be open shortly. Then you can check if the name inside Device Manager is now changed.
If the installation is well done the mouse cursor pointer isn't moved by the trackball sphere.

TRACKBALL MANAGEMENT

Inside Stereo toolbar there are some buttons related to trackball:

- toggle epipolar resampling constraint on/off;

- toggle the trackball activation on/off;

- setup the trackball Z movement step accuracy;

- set a given Z elevation and lock it for all clicked point


CAD View

The workspace main window is the CAD View, where the stereo models and CAD entities are shown and edited.

All main cad entities and commands are available from toolbars and by command line .

When a command is open on cad the command line shows related instructions

TIP: The zoom is handled as usual by mouse wheel when no stereo view is currently active.
If stereo is active on CAD, the mouse wheel is used to adjust the Z elevation

and if you want to zoom in and out in the view you need to press SHIFT key + Wheel.


Camera Passport

Camera Passport and image undistortion

Under "Orientations" bar there are two procedures dedicated to camera passport creation and image undistortion.

NEW CAMERA PASSPORT

If you have not a camera passport for StereoTools (e.g. cvc, bcc, rdr, ...) but you have the passport values from a previous calibration, you can manually fill a new passport by typing the data in this form.

In the general data section you have to input the passport general features.
Under image properties there are sensor and image features.
The Principal point coordinates can be expressed by using pixel/mm unit and top left / central origin.

The right side of the dialog include distortions values (radial and tangential).
You can select both the unit and the formula used for tangential distortions (the coefficient meanings).
Every formula requires its own distortion coefficients, by different convention.

When you click on "Ok" button a passport compatible file is generated.

IMAGE UNDISTORTION

If you have a camera passport (including distortions data), you can apply undistortion to a set of images.

In output you get a new dataset of undistorted images (e.g. to build their internal orientation)


Orientations

Internal and External Orientations

StereoTools natively works with data produced by APS, so it is compatible with .int and .est image orientation files.

If you are using a dataset produced by another software (for example Pix4D), you need to build internal orientation files and to import external orientations.

After so you will create the StereoTools project as usual.

INTERNAL ORIENTATION

The internal orientation file describes the image internal geometry and features.

StereoTools internal orientations can be generated by undistorted images and a .cvc camera passport with no distortions.

In the Orientation toolbar select "Build" button.

Select the passport .cvc file and then add related images (those are undistorted with it).

Finally press "Build": one .int file will be generated for each image, in the same folder.

EXTERNAL ORIENTATION

External orientations describe images global position and angles.

They can be imported by ASCII files where X, Y, Z, OMEGA, PHI, KAPPA are stored line by line.
Values separators and comments are customizable.

In the upper "input" list you will see the source data and in the lower "output" list you will check how those data are parsed to orientations.

By clicking on column headers is possible to exchange the column meaning and sign.

You can specify the camera mount angle and the orientation's angles measurement unit (degree, radiants, grads).
Select and add the folders where images related to source external orientations are stored and click "Import".

One .est file, suitable for StereoTools, is generated for each image that matches with an input orientation.


Manual DTM

A Digital Terrain Model represents the bare ground surface without any objects like plants and buildings.

A DTM can be automatically generated by filtering a Digital Surface Model (DSM) like APS does, or manually, by clicking a grid of points on the ground.

StereoTools offers a tool to optimize this manual DTM generation, combining the point drawing and stereo features.

1) draw a bounding closed polyline for area you want to use for DTM.

Every part of the area must be viewed by at least 2 images.

then open the Manual DTM command and select the AOI just drawn

Now select the grid step in X and Y to increase the current drawn point position and the start point coordinates.

Finally start the drawing command and assign to the DTM a name (it can be opened later in order to continue a suspended job).

The DTM stereo point picking is started. As you can see in the command line, after the elevation was adjusted to the ground, you can

- press "INS" key and confirm the point

- press "SPACEBAR" and skip the point (if the ground is not visible)

- press "BACKSPACE" and return to previous point to change it

- press "RETURN" to go directly to next DTM row

At the and you will get a DTM result like so, where every point has its own right Z elevation


GCP

Ground Control Points

StereoTools allows to check the residuals of a given ground control points set.

A Ground Control Point or Check Point: is a point located on the ground by precise surveying that when identified on aerial photographs provides the control necessary for producing a photomap.

You can import the GCPs from a ASCII text file, parsing its content (GCP coordinates and IDs).

Visit a stereo point and open the stereo virew mode. Then start the "Measure residual" command.

Click on a GCP to select it

and start to refine its position/elevation using stereo.

Once you click the final position the GCP coordinates are updated

When you close the command and open the check list, you will see the GCP residuals based on your stereo collimation.